---
layout: page2
title: Software Dev
sidebar: 1
order: 3
---

<div class="message"> If a project does not have a link, it means I just haven't created a project specific page yet. However everything
has a Git repository.</div>

I am by no means a software developer, that being said I've written some code that does things related to ham radio.
Some of it can fall under the category of "stupid tricks" that are geared toward web presence. Some of it is the
actual website itself since it uses Jekyll/Liquid/Ruby for static generation.

- [Log4OM UDP Web Status](https://nq4t.com/software/log4omudp) &middot; [Git Repository](https://git.pickmy.org/nq4t/Log4OM-WebStatus)
	- Python script that accepts and parses Log4OM UDP messages to generate a real-time auto-refresh HTML page.

- [PiScrape - Text-Only Hotspot Information](https://nq4t.com/software/piscrape) &middot; [Git Repository](https://git.pickmy.org/nq4t/piscrape)
	- This consists of a bash script and PHP page that will display a small box with Pi-Star reflector/talkgroup
information that you can iframe in to a webpage. (Will be) part of my QRZ profile when I can stop screwing around with
the main webpage long enough to update it.

- PiStAPrS - Beacon Hotspot Information To APRS-IS &middot; <a href="https://https://git.pickmy.org/nq4t/pistaprs">Git Repository</a>
	- Similar to PiScrape, except this runs on an external Pi with a GPS hat that will beacon location information

- HamHead - Arduino Remote Head For CAT/CI-V Radios &middot; <a href="https://git.pickmy.org/nq4t/HamHead">Git Repository</a></p>
	- Project with the goal of letting you add a remote head to any radio that uses CAT/CI-V. Development is dorment
but not entirely dead. Was originally a “memory controller” for an IC-725 to aid in tuning CB channels for monitoring on
the road.

- PiFO - Pi VFO Controller/Head &middot; <a href="https://git.pickmy.org/nq4t/PiFO">Git Repository</a>
	- Abandoned. The original RPi based project before I switched to Arduino and called it HamHead. Started off using
HamLib before I abandoned it for being inadequate for my vision. Was later abandoned entirely because who wants to wait
for an OS to boot to control their rig.
